Ajuda a NooBs Home Assistant


#1

Boas Pessoal Maker estou a instalar o HomeAss numa mini itx a correr um Ubuntu Mate 1.12.1 Release 16.04.4 Lts (Xenial Xerus) 64-bit . Quando chego á parte 4 do tutorial para instalar a whell do python, para depois instalar o homeAss dá me o seguinte erro ,e como na pesco nada de programação não percebo o erro,e como o corrigir :rage:
Alguém que possa dar uma mãozinha…
O Erro(s) são os seguintes
(homeassistant) homeassistant@thor-desktop:/srv/homeassistant$ python3 -m pip install wheel
Collecting wheel
Exception:
Traceback (most recent call last):
File “/srv/homeassistant/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/connectionpool.py”, line 560, in urlopen
body=body, headers=headers)
File “/srv/homeassistant/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/connectionpool.py”, line 346, in _make_request
self._validate_conn(conn)
File “/srv/homeassistant/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/connectionpool.py”, line 787, in validate_conn
conn.connect()
File “/srv/homeassistant/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/connection.py”, line 252, in connect
ssl_version=resolved_ssl_version)
File "/srv/homeassistant/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/util/ssl
.py", line 305, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File “/usr/lib/python3.5/ssl.py”, line 377, in wrap_socket
_context=self)
File “/usr/lib/python3.5/ssl.py”, line 752, in init
self.do_handshake()
File “/usr/lib/python3.5/ssl.py”, line 988, in do_handshake
self._sslobj.do_handshake()
File “/usr/lib/python3.5/ssl.py”, line 633, in do_handshake
self._sslobj.do_handshake()
ConnectionResetError: [Errno 104] Connection reset by peer

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/srv/homeassistant/lib/python3.5/site-packages/pip/basecommand.py”, line 209, in main
status = self.run(options, args)
File “/srv/homeassistant/lib/python3.5/site-packages/pip/commands/install.py”, line 328, in run
wb.build(autobuilding=True)
File “/srv/homeassistant/lib/python3.5/site-packages/pip/wheel.py”, line 748, in build
self.requirement_set.prepare_files(self.finder)
File “/srv/homeassistant/lib/python3.5/site-packages/pip/req/req_set.py”, line 360, in prepare_files
ignore_dependencies=self.ignore_dependencies))
File “/srv/homeassistant/lib/python3.5/site-packages/pip/req/req_set.py”, line 512, in _prepare_file
finder, self.upgrade, require_hashes)
File “/srv/homeassistant/lib/python3.5/site-packages/pip/req/req_install.py”, line 273, in populate_link
self.link = finder.find_requirement(self, upgrade)
File “/srv/homeassistant/lib/python3.5/site-packages/pip/index.py”, line 442, in find_requirement
all_candidates = self.find_all_candidates(req.name)
File “/srv/homeassistant/lib/python3.5/site-packages/pip/index.py”, line 400, in find_all_candidates
for page in self._get_pages(url_locations, project_name):
File “/srv/homeassistant/lib/python3.5/site-packages/pip/index.py”, line 545, in _get_pages
page = self._get_page(location)
File “/srv/homeassistant/lib/python3.5/site-packages/pip/index.py”, line 648, in _get_page
return HTMLPage.get_page(link, session=self.session)
File “/srv/homeassistant/lib/python3.5/site-packages/pip/index.py”, line 757, in get_page
“Cache-Control”: “max-age=600”,
File “/srv/homeassistant/share/python-wheels/requests-2.9.1-py2.py3-none-any.whl/requests/sessions.py”, line 480, in get
return self.request(‘GET’, url, **kwargs)
File “/srv/homeassistant/lib/python3.5/site-packages/pip/download.py”, line 378, in request
return super(PipSession, self).request(method, url, *args, **kwargs)
File “/srv/homeassistant/share/python-wheels/requests-2.9.1-py2.py3-none-any.whl/requests/sessions.py”, line 468, in request
resp = self.send(prep, **send_kwargs)
File “/srv/homeassistant/share/python-wheels/requests-2.9.1-py2.py3-none-any.whl/requests/sessions.py”, line 576, in send
r = adapter.send(request, **kwargs)
File “/srv/homeassistant/share/python-wheels/CacheControl-0.11.5-py2.py3-none-any.whl/cachecontrol/adapter.py”, line 46, in send
resp = super(CacheControlAdapter, self).send(request, **kw)
File “/srv/homeassistant/share/python-wheels/requests-2.9.1-py2.py3-none-any.whl/requests/adapters.py”, line 376, in send
timeout=timeout
File “/srv/homeassistant/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/connectionpool.py”, line 610, in urlopen
_stacktrace=sys.exc_info()[2])
File “/srv/homeassistant/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/util/retry.py”, line 228, in increment
total -= 1
TypeError: unsupported operand type(s) for -=: ‘Retry’ and ‘int’


#2

Pede ajuda na Comunidade Portuguesa de Home Assistant.


#3

podes seguir este tutorial que fiz

alguma duvida avisa


#4

já agora antes de avançares mais e como estas a começar deixa já o Python 3.6 em vez do 3.5


#5

Boas Pessoal ! Um Grande Obrigado A Todos ,E especialmente ao Marco Ervões pela dica da instalação em Doker ! E aos Videos de Ajuda Brutais do Bruno Horta ! Já BomBa o Primeiro Switch ,Agora Venham os BHOnFress… EHehh


#6

a tua força de vontade vence tudo :slight_smile: